<?php
/*
Plugin Name: Tab Default to Pages
Plugin URI: http://watershedstudio.com/portfolio/software-development/wordpress-tab-default-to-pages-plugin/
Description: Set the write and manage tabs to to default to "page" instead of post
Author: Watershed Studio, LLC
Version: 1.0.1
Author URI: http://watershedstudio.com/

Copyright 2008 Watershed Studio, LLC

Released under the terms of the GNU GPL, version 2.
http://www.fsf.org/licensing/licenses/gpl.html

NO WARRANTY.  

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    For a copy of the GNU General Public License, you may write to the 
	    Free Software Foundation, Inc.
	    51 Franklin St
	    Fifth Floor
	    Boston, MA 02110, USA
  
*/

if(!function_exists('remove_post_tabs')) {
	
	function remove_post_tabs() {
		global $menu, $submenu;
					
		// Remove Write & Manage Menus
		unset($menu[5]);
		unset($menu[10]);
			
		// Change top level default pages
		$menu[5]  = array(__('Write'), 'edit_pages', 'post-new.php');
		$menu[10] = array(__('Manage'), 'edit_pages', 'edit.php');

		// Remove Write Post & Page Sub Menus
		unset($submenu['page-new.php'][5]);
		unset($submenu['page-new.php'][10]);
		unset($submenu['edit-pages.php'][5]);
		unset($submenu['edit-pages.php'][10]);	

		// Add submenu tabs		
		$submenu['post-new.php'][5]  = array(__('Write Page'), 'edit_pages', 'page-new.php'); 
		$submenu['post-new.php'][10] = array(__('Write Post'), 'edit_posts', 'post-new.php'); 

		$submenu['edit.php'][5]  = array(__('Pages'), 'edit_pages', 'edit-pages.php');		
		$submenu['edit.php'][10] = array(__('Posts'), 'edit_posts', 'edit.php');				
	}
}

add_action('admin_menu', 'remove_post_tabs');

?>
